# Generated by Django 5.1.6 on 2025-02-21 16:35

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0022_enapaccordionsnippet_alter_enaplayout_body"),
    ]

    operations = [
        migrations.CreateModel(
            name="EnapNavbarSnippet",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="Nome do snippet para facilitar a identificação no admin.",
                        max_length=255,
                    ),
                ),
                (
                    "logo",
                    wagtail.fields.StreamField(
                        [("image", 0)],
                        blank=True,
                        block_lookup={
                            0: ("wagtail.images.blocks.ImageChooserBlock", (), {})
                        },
                        verbose_name="Logo da Navbar",
                    ),
                ),
                (
                    "links",
                    wagtail.fields.StreamField(
                        [("navbar_link", 3)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Texto do Link",
                                    "max_length": 255,
                                    "required": True,
                                },
                            ),
                            1: (
                                "wagtail.blocks.URLBlock",
                                (),
                                {"label": "URL do Link", "required": True},
                            ),
                            2: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("default", "Padrão"),
                                        ("button", "Botão"),
                                        ("icon", "Ícone"),
                                    ],
                                    "label": "Estilo do Link",
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [[("label", 0), ("url", 1), ("style", 2)]],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "verbose_name": "Navbar ENAP",
                "verbose_name_plural": "Navbars ENAP",
            },
        ),
        migrations.AlterModelOptions(
            name="enapaccordionsnippet",
            options={
                "verbose_name": "Enap Accordion",
                "verbose_name_plural": "Enap Accordions",
            },
        ),
        migrations.AlterModelOptions(
            name="enapfootersnippet",
            options={
                "verbose_name": "Enap Footer",
                "verbose_name_plural": "Enap Footers",
            },
        ),
        migrations.AlterField(
            model_name="enaplayout",
            name="body",
            field=wagtail.fields.StreamField(
                [("enap_herobanner", 3), ("enap_herofeature", 7), ("enap_section", 36)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Background Image", "required": True},
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": True},
                    ),
                    2: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Description",
                            "required": True,
                        },
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [[("background_image", 0), ("title", 1), ("description", 2)]],
                        {},
                    ),
                    4: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"required": True},
                    ),
                    5: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"max_length": 255, "required": True},
                    ),
                    6: ("wagtail.blocks.RichTextBlock", (), {"required": True}),
                    7: (
                        "wagtail.blocks.StructBlock",
                        [[("background_image", 4), ("title", 5), ("description", 6)]],
                        {},
                    ),
                    8: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("", "Default")],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    9: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Custom CSS Class",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    10: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Custom ID", "max_length": 255, "required": False},
                    ),
                    11: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 8),
                                ("custom_css_class", 9),
                                ("custom_id", 10),
                            ]
                        ],
                        {},
                    ),
                    12: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "#ID da seção", "max_length": 255, "required": False},
                    ),
                    13: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Titulo", "max_length": 255, "required": False},
                    ),
                    14: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Subtitulo",
                        },
                    ),
                    15: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("cards-gri-2", "Até 2 cards"),
                                ("cards-gri-3", "Até 3 cards"),
                                ("cards-gri-4", "Até 4 cards"),
                            ],
                            "help_text": "Escolha os limites de card por linha para essa grid.",
                            "label": "Card por linha",
                        },
                    ),
                    16: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("card-primary", "Tipo primário"),
                                ("card-secondary", "Tipo secundário"),
                                ("card-terciary", "Tipo terciário"),
                                ("card-bgimage", "Tipo BG Image"),
                            ],
                            "help_text": "Escolha o tipo/cor do card",
                            "label": "Tipo de card",
                        },
                    ),
                    17: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Image", "max_length": 255, "required": False},
                    ),
                    18: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": False},
                    ),
                    19: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Body",
                        },
                    ),
                    20: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Category",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    21: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Label",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    22: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 8),
                                ("custom_css_class", 9),
                                ("custom_id", 10),
                                ("ga_tracking_event_category", 20),
                                ("ga_tracking_event_label", 21),
                            ]
                        ],
                        {},
                    ),
                    23: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {"label": "Page link", "required": False},
                    ),
                    24: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"label": "Document link", "required": False},
                    ),
                    25: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Other link", "max_length": 255, "required": False},
                    ),
                    26: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-primary", "Primary"),
                                ("btn-secondary", "Secondary"),
                                ("btn-success", "Success"),
                                ("btn-danger", "Danger"),
                                ("btn-warning", "Warning"),
                                ("btn-info", "Info"),
                                ("btn-link", "Link"),
                                ("btn-light", "Light"),
                                ("btn-dark", "Dark"),
                                ("btn-outline-primary", "Outline Primary"),
                                ("btn-outline-secondary", "Outline Secondary"),
                                ("btn-outline-success", "Outline Success"),
                                ("btn-outline-danger", "Outline Danger"),
                                ("btn-outline-warning", "Outline Warning"),
                                ("btn-outline-info", "Outline Info"),
                                ("btn-outline-light", "Outline Light"),
                                ("btn-outline-dark", "Outline Dark"),
                            ],
                            "label": "Button Style",
                            "required": False,
                        },
                    ),
                    27: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-sm", "Small"),
                                ("", "Default"),
                                ("btn-lg", "Large"),
                            ],
                            "label": "Button Size",
                            "required": False,
                        },
                    ),
                    28: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 22),
                                ("page_link", 23),
                                ("doc_link", 24),
                                ("other_link", 25),
                                ("button_title", 18),
                                ("button_style", 26),
                                ("button_size", 27),
                            ]
                        ],
                        {},
                    ),
                    29: (
                        "wagtail.blocks.StreamBlock",
                        [[("button", 28)]],
                        {
                            "blank": True,
                            "label": "Botão (link)",
                            "max_num": 1,
                            "required": False,
                        },
                    ),
                    30: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 11),
                                ("type", 16),
                                ("image", 17),
                                ("title", 18),
                                ("description", 19),
                                ("link", 29),
                            ]
                        ],
                        {},
                    ),
                    31: (
                        "wagtail.blocks.StreamBlock",
                        [[("enap_card", 30)]],
                        {"label": "Conteúdo"},
                    ),
                    32: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 11), ("grid", 15), ("content", 31)]],
                        {},
                    ),
                    33: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("enap_designsystem.EnapAccordionSnippet",),
                        {},
                    ),
                    34: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 11), ("accordion", 33)]],
                        {},
                    ),
                    35: (
                        "wagtail.blocks.StreamBlock",
                        [[("enap_cardgrid", 32), ("enap_accordion", 34)]],
                        {"label": "Conteúdo"},
                    ),
                    36: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 11),
                                ("id_slug", 12),
                                ("title", 13),
                                ("subtitle", 14),
                                ("content", 35),
                            ]
                        ],
                        {},
                    ),
                },
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="enaplayout",
            name="navbar",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="enap_designsystem.enapnavbarsnippet",
            ),
        ),
    ]
