# Generated by Django 5.1.6 on 2025-03-11 19:06

import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0031_enapformacao"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="enapformacao",
            options={
                "verbose_name": "Template ENAP Curso",
                "verbose_name_plural": "Template ENAP Cursos",
            },
        ),
        migrations.RemoveField(
            model_name="enapformacao",
            name="dropdown_content",
        ),
        migrations.RemoveField(
            model_name="enapformacao",
            name="page_title",
        ),
        migrations.RemoveField(
            model_name="enapformacao",
            name="paragrafo",
        ),
        migrations.RemoveField(
            model_name="enapformacao",
            name="teste_courses",
        ),
        migrations.RemoveField(
            model_name="enapformacao",
            name="teste_preview",
        ),
        migrations.RemoveField(
            model_name="enapformacao",
            name="video_background",
        ),
        migrations.AddField(
            model_name="enapformacao",
            name="content",
            field=wagtail.fields.StreamField(
                [("banner", 3)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Background Image", "required": True},
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": True},
                    ),
                    2: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Description",
                            "required": True,
                        },
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [[("background_image", 0), ("title", 1), ("description", 2)]],
                        {},
                    ),
                },
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="enapformacao",
            name="feature",
            field=wagtail.fields.StreamField(
                [("enap_herofeature", 3)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"required": True},
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"max_length": 255, "required": True},
                    ),
                    2: ("wagtail.blocks.RichTextBlock", (), {"required": True}),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [[("background_image", 0), ("title", 1), ("description", 2)]],
                        {},
                    ),
                },
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="enapformacao",
            name="body",
            field=wagtail.fields.StreamField(
                [("hero", 93), ("row", 87), ("cardgrid", 91), ("html", 29)],
                blank=True,
                block_lookup={
                    0: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [("", "Default")],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    1: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Custom CSS Class",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    2: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Custom ID", "max_length": 255, "required": False},
                    ),
                    3: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 0),
                                ("custom_css_class", 1),
                                ("custom_id", 2),
                            ]
                        ],
                        {},
                    ),
                    4: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"default": True, "label": "Full width", "required": False},
                    ),
                    5: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "help_text": "Background images scroll slower than foreground images, creating an illusion of depth.",
                            "label": "Parallax Effect",
                            "required": False,
                        },
                    ),
                    6: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"required": False},
                    ),
                    7: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "label": "Tile background image",
                            "required": False,
                        },
                    ),
                    8: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Hexadecimal, rgba, or CSS color notation (e.g. #ff0011)",
                            "label": "Background color",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    9: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Hexadecimal, rgba, or CSS color notation (e.g. #ff0011)",
                            "label": "Text color",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    10: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {"label": "Full width", "required": False},
                    ),
                    11: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("", "Always expanded"),
                                (
                                    "sm",
                                    "sm - Expand on small screens (phone, 576px) and larger",
                                ),
                                (
                                    "md",
                                    "md - Expand on medium screens (tablet, 768px) and larger",
                                ),
                                (
                                    "lg",
                                    "lg - Expand on large screens (laptop, 992px) and larger",
                                ),
                                (
                                    "xl",
                                    "xl - Expand on extra large screens (wide monitor, 1200px)",
                                ),
                            ],
                            "help_text": "Screen size at which the column will expand horizontally or stack vertically.",
                            "required": False,
                            "verbose_name": "Column Breakpoint",
                        },
                    ),
                    12: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 0),
                                ("custom_css_class", 1),
                                ("custom_id", 2),
                                ("column_breakpoint", 11),
                            ]
                        ],
                        {},
                    ),
                    13: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("", "Automatically size"),
                                ("12", "Full row"),
                                ("6", "Half - 1/2 column"),
                                ("4", "Thirds - 1/3 column"),
                                ("8", "Thirds - 2/3 column"),
                                ("3", "Quarters - 1/4 column"),
                                ("9", "Quarters - 3/4 column"),
                                ("2", "Sixths - 1/6 column"),
                                ("10", "Sixths - 5/6 column"),
                                ("1", "Twelfths - 1/12 column"),
                                ("5", "Twelfths - 5/12 column"),
                                ("7", "Twelfths - 7/12 column"),
                                ("11", "Twelfths - 11/12 column"),
                            ],
                            "label": "Column size",
                            "required": False,
                        },
                    ),
                    14: (
                        "coderedcms.blocks.html_blocks.RichTextBlock",
                        (),
                        {"icon": "cr-font"},
                    ),
                    15: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Category",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    16: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Tracking Event Label",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    17: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 0),
                                ("custom_css_class", 1),
                                ("custom_id", 2),
                                ("ga_tracking_event_category", 15),
                                ("ga_tracking_event_label", 16),
                            ]
                        ],
                        {},
                    ),
                    18: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {"label": "Page link", "required": False},
                    ),
                    19: (
                        "wagtail.documents.blocks.DocumentChooserBlock",
                        (),
                        {"label": "Document link", "required": False},
                    ),
                    20: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Other link", "max_length": 255, "required": False},
                    ),
                    21: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Title", "max_length": 255, "required": False},
                    ),
                    22: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-primary", "Primary"),
                                ("btn-secondary", "Secondary"),
                                ("btn-success", "Success"),
                                ("btn-danger", "Danger"),
                                ("btn-warning", "Warning"),
                                ("btn-info", "Info"),
                                ("btn-link", "Link"),
                                ("btn-light", "Light"),
                                ("btn-dark", "Dark"),
                                ("btn-outline-primary", "Outline Primary"),
                                ("btn-outline-secondary", "Outline Secondary"),
                                ("btn-outline-success", "Outline Success"),
                                ("btn-outline-danger", "Outline Danger"),
                                ("btn-outline-warning", "Outline Warning"),
                                ("btn-outline-info", "Outline Info"),
                                ("btn-outline-light", "Outline Light"),
                                ("btn-outline-dark", "Outline Dark"),
                            ],
                            "label": "Button Style",
                            "required": False,
                        },
                    ),
                    23: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("btn-sm", "Small"),
                                ("", "Default"),
                                ("btn-lg", "Large"),
                            ],
                            "label": "Button Size",
                            "required": False,
                        },
                    ),
                    24: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 17),
                                ("page_link", 18),
                                ("doc_link", 19),
                                ("other_link", 20),
                                ("button_title", 21),
                                ("button_style", 22),
                                ("button_size", 23),
                            ]
                        ],
                        {},
                    ),
                    25: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Image"},
                    ),
                    26: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("image", 25)]],
                        {},
                    ),
                    27: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Alternate text to show if the image doesn’t load",
                            "max_length": 255,
                            "required": True,
                        },
                    ),
                    28: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 17),
                                ("page_link", 18),
                                ("doc_link", 19),
                                ("other_link", 20),
                                ("button_title", 21),
                                ("image", 25),
                                ("alt_text", 27),
                            ]
                        ],
                        {},
                    ),
                    29: (
                        "wagtail.blocks.RawHTMLBlock",
                        (),
                        {
                            "form_classname": "monospace",
                            "icon": "code",
                            "label": "HTML",
                        },
                    ),
                    30: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 17),
                                ("button_style", 22),
                                ("button_size", 23),
                                ("button_title", 21),
                                ("downloadable_file", 19),
                            ]
                        ],
                        {},
                    ),
                    31: (
                        "wagtail.embeds.blocks.EmbedBlock",
                        (),
                        {
                            "help_text": "Link to a YouTube/Vimeo video, tweet, facebook post, etc.",
                            "label": "URL",
                            "required": True,
                        },
                    ),
                    32: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("url", 31)]],
                        {},
                    ),
                    33: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "Quote Text", "required": True, "rows": 4},
                    ),
                    34: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Author", "max_length": 255, "required": False},
                    ),
                    35: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("text", 33), ("author", 34)]],
                        {},
                    ),
                    36: ("wagtail.contrib.table_block.blocks.TableBlock", (), {}),
                    37: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("table", 36)]],
                        {},
                    ),
                    38: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Address or search term used to find your location on the map.",
                            "label": "Search query",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    39: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": 'Map title for screen readers, ex: "Map to Goodale Park"',
                            "label": "Map title",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    40: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Requires API key to use place ID.",
                            "label": "Google place ID",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    41: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {
                            "default": 14,
                            "help_text": "Requires API key to use zoom. 1: World, 5: Landmass/continent, 10: City, 15: Streets, 20: Buildings",
                            "label": "Map zoom level",
                            "required": False,
                        },
                    ),
                    42: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 3),
                                ("search", 38),
                                ("map_title", 39),
                                ("place_id", 40),
                                ("map_zoom_level", 41),
                            ]
                        ],
                        {},
                    ),
                    43: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("", "Default"),
                                (
                                    "coderedcms/blocks/pagelist_block.html",
                                    "General, simple list",
                                ),
                                (
                                    "coderedcms/blocks/pagelist_list_group.html",
                                    "General, list group navigation panel",
                                ),
                                (
                                    "coderedcms/blocks/pagelist_article_media.html",
                                    "Article, media format",
                                ),
                                (
                                    "coderedcms/blocks/pagelist_article_card_group.html",
                                    "Article, card group - attached cards of equal size",
                                ),
                                (
                                    "coderedcms/blocks/pagelist_article_card_deck.html",
                                    "Article, card deck - separate cards of equal size",
                                ),
                                (
                                    "coderedcms/blocks/pagelist_article_card_columns.html",
                                    "Article, card masonry - fluid brick pattern",
                                ),
                            ],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    44: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 43),
                                ("custom_css_class", 1),
                                ("custom_id", 2),
                            ]
                        ],
                        {},
                    ),
                    45: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                            "label": "Parent page",
                            "required": True,
                        },
                    ),
                    46: (
                        "coderedcms.blocks.base_blocks.ClassifierTermChooserBlock",
                        (),
                        {
                            "help_text": "Only show pages that are classified with this term.",
                            "label": "Classified as",
                            "required": False,
                        },
                    ),
                    47: (
                        "wagtail.blocks.BooleanBlock",
                        (),
                        {
                            "default": False,
                            "label": "Show body preview",
                            "required": False,
                        },
                    ),
                    48: (
                        "wagtail.blocks.IntegerBlock",
                        (),
                        {"default": 3, "label": "Number of pages to show"},
                    ),
                    49: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 44),
                                ("indexed_by", 45),
                                ("classified_by", 46),
                                ("show_preview", 47),
                                ("num_posts", 48),
                            ]
                        ],
                        {},
                    ),
                    50: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("", "Default"),
                                ("coderedcms/blocks/pagepreview_card.html", "Card"),
                                (
                                    "coderedcms/blocks/pagepreview_form.html",
                                    "Form inputs",
                                ),
                            ],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    51: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 50),
                                ("custom_css_class", 1),
                                ("custom_id", 2),
                            ]
                        ],
                        {},
                    ),
                    52: (
                        "wagtail.blocks.PageChooserBlock",
                        (),
                        {
                            "help_text": "Show a mini preview of the selected page.",
                            "label": "Page to preview",
                            "required": True,
                        },
                    ),
                    53: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 51), ("page", 52)]],
                        {},
                    ),
                    54: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("coderedcms.Accordion",),
                        {},
                    ),
                    55: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("accordion", 54)]],
                        {},
                    ),
                    56: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("", "Default"),
                                ("coderedcms/blocks/card_block.html", "Card"),
                                (
                                    "coderedcms/blocks/card_head.html",
                                    "Card with header",
                                ),
                                (
                                    "coderedcms/blocks/card_foot.html",
                                    "Card with footer",
                                ),
                                (
                                    "coderedcms/blocks/card_head_foot.html",
                                    "Card with header and footer",
                                ),
                                (
                                    "coderedcms/blocks/card_blurb.html",
                                    "Blurb - rounded image and no border",
                                ),
                                (
                                    "coderedcms/blocks/card_img.html",
                                    "Cover image - use image as background",
                                ),
                            ],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    57: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 56),
                                ("custom_css_class", 1),
                                ("custom_id", 2),
                            ]
                        ],
                        {},
                    ),
                    58: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Image", "max_length": 255, "required": False},
                    ),
                    59: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Subtitle", "max_length": 255, "required": False},
                    ),
                    60: (
                        "wagtail.blocks.RichTextBlock",
                        (),
                        {
                            "features": [
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                            ],
                            "label": "Body",
                        },
                    ),
                    61: (
                        "wagtail.blocks.StreamBlock",
                        [[("Links", 24)]],
                        {"blank": True, "label": "Links", "required": False},
                    ),
                    62: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 57),
                                ("image", 58),
                                ("title", 21),
                                ("subtitle", 59),
                                ("description", 60),
                                ("links", 61),
                            ]
                        ],
                        {},
                    ),
                    63: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("coderedcms.Carousel",),
                        {},
                    ),
                    64: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("carousel", 63)]],
                        {},
                    ),
                    65: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("coderedcms.FilmStrip",),
                        {},
                    ),
                    66: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("film_strip", 65)]],
                        {},
                    ),
                    67: (
                        "coderedcms.blocks.base_blocks.CollectionChooserBlock",
                        (),
                        {"label": "Image Collection", "required": True},
                    ),
                    68: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("collection", 67)]],
                        {},
                    ),
                    69: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "label": "Modal heading",
                            "max_length": 255,
                            "required": False,
                        },
                    ),
                    70: (
                        "wagtail.blocks.StreamBlock",
                        [
                            [
                                ("text", 14),
                                ("button", 24),
                                ("image", 26),
                                ("image_link", 28),
                                ("html", 29),
                                ("download", 30),
                                ("embed_video", 32),
                                ("quote", 35),
                                ("table", 37),
                                ("google_map", 42),
                                ("page_list", 49),
                                ("page_preview", 53),
                            ]
                        ],
                        {"label": "Content"},
                    ),
                    71: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"icon": "cr-font", "label": "Simple Text", "max_length": 255},
                    ),
                    72: (
                        "wagtail.blocks.StreamBlock",
                        [[("text", 71), ("button", 24)]],
                        {"label": "Modal footer", "required": False},
                    ),
                    73: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 3),
                                ("button_style", 22),
                                ("button_size", 23),
                                ("button_title", 21),
                                ("header", 69),
                                ("content", 70),
                                ("footer", 72),
                            ]
                        ],
                        {},
                    ),
                    74: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Heading", "max_length": 255, "required": False},
                    ),
                    75: (
                        "wagtail.images.blocks.ImageChooserBlock",
                        (),
                        {"label": "Image", "required": False},
                    ),
                    76: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {"label": "Name", "max_length": 255, "required": True},
                    ),
                    77: (
                        "wagtail.blocks.TextBlock",
                        (),
                        {"label": "Description", "required": False, "rows": 4},
                    ),
                    78: (
                        "wagtail.blocks.CharBlock",
                        (),
                        {
                            "help_text": "Any text here. Include currency sign if desired.",
                            "label": "Price",
                            "required": True,
                        },
                    ),
                    79: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 3),
                                ("image", 75),
                                ("name", 76),
                                ("description", 77),
                                ("price", 78),
                            ]
                        ],
                        {},
                    ),
                    80: (
                        "wagtail.blocks.StreamBlock",
                        [[("item", 79)]],
                        {"label": "Items"},
                    ),
                    81: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("heading", 74), ("items", 80)]],
                        {},
                    ),
                    82: (
                        "wagtail.snippets.blocks.SnippetChooserBlock",
                        ("coderedcms.ReusableContent",),
                        {},
                    ),
                    83: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("content", 82)]],
                        {},
                    ),
                    84: (
                        "wagtail.blocks.StreamBlock",
                        [
                            [
                                ("text", 14),
                                ("button", 24),
                                ("image", 26),
                                ("image_link", 28),
                                ("html", 29),
                                ("download", 30),
                                ("embed_video", 32),
                                ("quote", 35),
                                ("table", 37),
                                ("google_map", 42),
                                ("page_list", 49),
                                ("page_preview", 53),
                                ("accordion", 55),
                                ("card", 62),
                                ("carousel", 64),
                                ("film_strip", 66),
                                ("image_gallery", 68),
                                ("modal", 73),
                                ("pricelist", 81),
                                ("reusable_content", 83),
                            ]
                        ],
                        {"label": "Content"},
                    ),
                    85: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 12), ("column_size", 13), ("content", 84)]],
                        {},
                    ),
                    86: (
                        "wagtail.blocks.StreamBlock",
                        [[("content", 85)]],
                        {"label": "Content"},
                    ),
                    87: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 3), ("fluid", 10), ("content", 86)]],
                        {},
                    ),
                    88: (
                        "wagtail.blocks.ChoiceBlock",
                        [],
                        {
                            "choices": [
                                ("", "Default"),
                                (
                                    "coderedcms/blocks/cardgrid_group.html",
                                    "Card group - attached cards of equal size",
                                ),
                                (
                                    "coderedcms/blocks/cardgrid_deck.html",
                                    "Card deck - separate cards of equal size",
                                ),
                                (
                                    "coderedcms/blocks/cardgrid_columns.html",
                                    "Card masonry - fluid brick pattern",
                                ),
                            ],
                            "label": "Template",
                            "required": False,
                        },
                    ),
                    89: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("custom_template", 88),
                                ("custom_css_class", 1),
                                ("custom_id", 2),
                            ]
                        ],
                        {},
                    ),
                    90: (
                        "wagtail.blocks.StreamBlock",
                        [[("card", 62)]],
                        {"label": "Content"},
                    ),
                    91: (
                        "wagtail.blocks.StructBlock",
                        [[("settings", 89), ("fluid", 10), ("content", 90)]],
                        {},
                    ),
                    92: (
                        "wagtail.blocks.StreamBlock",
                        [[("row", 87), ("cardgrid", 91), ("html", 29)]],
                        {"label": "Content"},
                    ),
                    93: (
                        "wagtail.blocks.StructBlock",
                        [
                            [
                                ("settings", 3),
                                ("fluid", 4),
                                ("is_parallax", 5),
                                ("background_image", 6),
                                ("tile_image", 7),
                                ("background_color", 8),
                                ("foreground_color", 9),
                                ("content", 92),
                            ]
                        ],
                        {},
                    ),
                },
                null=True,
            ),
        ),
    ]
