# Generated by Django 5.1.6 on 2025-03-14 17:09

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("coderedcms", "0041_remove_layoutsettings_frontend_theme"),
        ("enap_designsystem", "0039_alter_enapteste_options"),
    ]

    operations = [
        migrations.CreateModel(
            name="ENAPTemplatev1",
            fields=[
                (
                    "coderedpage_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="coderedcms.coderedpage",
                    ),
                ),
                (
                    "admin_notes",
                    models.TextField(
                        blank=True,
                        help_text="Escreva observações importantes.",
                        verbose_name="Anotações Internas",
                    ),
                ),
                (
                    "page_title",
                    models.CharField(
                        default="Título Padrão",
                        max_length=255,
                        verbose_name="Título da Página",
                    ),
                ),
                (
                    "body",
                    wagtail.fields.StreamField(
                        [("enap_section", 28), ("page_list", 34)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "#ID da seção",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            5: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("bg-white", "Fundo branco"),
                                        ("bg-blue", "Fundo blue"),
                                        ("bg-gray", "Fundo cinza"),
                                    ],
                                    "help_text": "Escolha a cor de fundo para a seção",
                                    "label": "Cor de fundo",
                                },
                            ),
                            6: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Titulo",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            7: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Subtitulo",
                                },
                            ),
                            8: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("cards-gri-2", "Até 2 cards"),
                                        ("cards-gri-3", "Até 3 cards"),
                                        ("cards-gri-4", "Até 4 cards"),
                                    ],
                                    "help_text": "Escolha os limites de card por linha para essa grid.",
                                    "label": "Card por linha",
                                },
                            ),
                            9: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("card-primary", "Tipo primário"),
                                        ("card-secondary", "Tipo secundário"),
                                        ("card-terciary", "Tipo terciário"),
                                        ("card-bgimage", "Tipo BG Image"),
                                    ],
                                    "help_text": "Escolha o tipo/cor do card",
                                    "label": "Tipo de card",
                                },
                            ),
                            10: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {
                                    "label": "Image",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            11: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Title",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            12: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {
                                    "features": [
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                    ],
                                    "label": "Body",
                                },
                            ),
                            13: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Category",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            14: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Tracking Event Label",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            15: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                        ("ga_tracking_event_category", 13),
                                        ("ga_tracking_event_label", 14),
                                    ]
                                ],
                                {},
                            ),
                            16: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"label": "Page link", "required": False},
                            ),
                            17: (
                                "wagtail.documents.blocks.DocumentChooserBlock",
                                (),
                                {"label": "Document link", "required": False},
                            ),
                            18: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Other link",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            19: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("primary", "Tipo primário"),
                                        ("secondary", "Tipo secundário"),
                                        ("terciary", "Tipo terciário"),
                                    ],
                                    "help_text": "Escolha o tipo do botão",
                                    "label": "Tipo de botão",
                                },
                            ),
                            20: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("small", "Pequeno"),
                                        ("medium", "Médio"),
                                        ("large", "Grande"),
                                        ("extra-large", "Extra grande"),
                                    ],
                                    "help_text": "Escolha o tamanho do botão",
                                    "label": "Tamanho",
                                },
                            ),
                            21: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {"label": "Icone", "required": False},
                            ),
                            22: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 15),
                                        ("page_link", 16),
                                        ("doc_link", 17),
                                        ("other_link", 18),
                                        ("button_title", 11),
                                        ("type_class", 19),
                                        ("size_class", 20),
                                        ("icone_bool", 21),
                                    ]
                                ],
                                {},
                            ),
                            23: (
                                "wagtail.blocks.StreamBlock",
                                [[("button", 22)]],
                                {
                                    "blank": True,
                                    "label": "Botão (link)",
                                    "max_num": 1,
                                    "required": False,
                                },
                            ),
                            24: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("type", 9),
                                        ("image", 10),
                                        ("title", 11),
                                        ("description", 12),
                                        ("link", 23),
                                    ]
                                ],
                                {},
                            ),
                            25: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_card", 24)]],
                                {"label": "Conteúdo"},
                            ),
                            26: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("grid", 8), ("content", 25)]],
                                {},
                            ),
                            27: (
                                "wagtail.blocks.StreamBlock",
                                [[("enap_cardgrid", 26)]],
                                {"label": "Conteúdo"},
                            ),
                            28: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("id_slug", 4),
                                        ("custom_class", 5),
                                        ("title", 6),
                                        ("subtitle", 7),
                                        ("content", 27),
                                    ]
                                ],
                                {},
                            ),
                            29: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("", "Default"),
                                        (
                                            "coderedcms/blocks/pagelist_block.html",
                                            "General, simple list",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_list_group.html",
                                            "General, list group navigation panel",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_media.html",
                                            "Article, media format",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_group.html",
                                            "Article, card group - attached cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_deck.html",
                                            "Article, card deck - separate cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_columns.html",
                                            "Article, card masonry - fluid brick pattern",
                                        ),
                                    ],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            30: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 29),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            31: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            32: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {
                                    "default": False,
                                    "label": "Show body preview",
                                    "required": False,
                                },
                            ),
                            33: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            34: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 30),
                                        ("indexed_by", 31),
                                        ("show_preview", 32),
                                        ("num_posts", 33),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "teste_courses",
                    wagtail.fields.StreamField(
                        [("courses_carousel", 6)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("num_posts", 5),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "noticias",
                    wagtail.fields.StreamField(
                        [("eventos_carousel", 6)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page's LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("num_posts", 5),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "teste_noticia",
                    wagtail.fields.StreamField(
                        [("noticias_carousel", 6)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            6: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("num_posts", 5),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "teste_preview",
                    wagtail.fields.StreamField(
                        [("page_preview_teste", 7)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("", "Default"),
                                        (
                                            "coderedcms/blocks/pagelist_block.html",
                                            "General, simple list",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_list_group.html",
                                            "General, list group navigation panel",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_media.html",
                                            "Article, media format",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_group.html",
                                            "Article, card group - attached cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_deck.html",
                                            "Article, card deck - separate cards of equal size",
                                        ),
                                        (
                                            "coderedcms/blocks/pagelist_article_card_columns.html",
                                            "Article, card masonry - fluid brick pattern",
                                        ),
                                    ],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {
                                    "help_text": "Show a preview of pages that are children of the selected page. Uses ordering specified in the page’s LAYOUT tab.",
                                    "label": "Parent page",
                                    "required": True,
                                },
                            ),
                            5: (
                                "wagtail.blocks.BooleanBlock",
                                (),
                                {
                                    "default": False,
                                    "label": "Show body preview",
                                    "required": False,
                                },
                            ),
                            6: (
                                "wagtail.blocks.IntegerBlock",
                                (),
                                {"default": 3, "label": "Number of pages to show"},
                            ),
                            7: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("settings", 3),
                                        ("indexed_by", 4),
                                        ("show_preview", 5),
                                        ("num_posts", 6),
                                    ]
                                ],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "dropdown_content",
                    wagtail.fields.StreamField(
                        [("dropdown", 4)],
                        blank=True,
                        block_lookup={
                            0: ("wagtail.blocks.CharBlock", (), {"required": True}),
                            1: (
                                "wagtail.blocks.PageChooserBlock",
                                (),
                                {"required": True},
                            ),
                            2: (
                                "wagtail.blocks.StructBlock",
                                [[("title", 0), ("page", 1)]],
                                {},
                            ),
                            3: ("wagtail.blocks.ListBlock", (2,), {}),
                            4: (
                                "wagtail.blocks.StructBlock",
                                [[("label", 0), ("options", 3)]],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                (
                    "paragrafo",
                    wagtail.fields.RichTextField(
                        blank=True,
                        help_text="Adicione o texto do parágrafo aqui.",
                        verbose_name="Parágrafo sessao dinamica",
                    ),
                ),
                (
                    "video_background",
                    models.FileField(
                        blank=True,
                        null=True,
                        upload_to="media/videos",
                        verbose_name="Vídeo de Fundo",
                    ),
                ),
                (
                    "background_image",
                    wagtail.fields.StreamField(
                        [("image", 5)],
                        blank=True,
                        block_lookup={
                            0: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [("", "Default")],
                                    "label": "Template",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom CSS Class",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            2: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "label": "Custom ID",
                                    "max_length": 255,
                                    "required": False,
                                },
                            ),
                            3: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("custom_template", 0),
                                        ("custom_css_class", 1),
                                        ("custom_id", 2),
                                    ]
                                ],
                                {},
                            ),
                            4: (
                                "wagtail.images.blocks.ImageChooserBlock",
                                (),
                                {"label": "Image"},
                            ),
                            5: (
                                "wagtail.blocks.StructBlock",
                                [[("settings", 3), ("image", 4)]],
                                {},
                            ),
                        },
                        null=True,
                    ),
                ),
                ("linkcta", wagtail.fields.RichTextField(blank=True)),
                (
                    "button_link",
                    models.URLField(
                        blank=True,
                        help_text="URL do link do botão",
                        verbose_name="Link do Botão",
                    ),
                ),
                (
                    "footer",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapfootersnippet",
                    ),
                ),
                (
                    "navbar",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="enap_designsystem.enapnavbarsnippet",
                    ),
                ),
            ],
            options={
                "verbose_name": "Enap home v1",
                "verbose_name_plural": "Enap Home v1",
            },
            bases=("coderedcms.coderedpage",),
        ),
    ]
