# Generated by Django 5.1.6 on 2025-03-18 16:57

import django.db.models.deletion
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("enap_designsystem", "0040_enaptemplatev1"),
        ("wagtailcore", "0094_alter_page_locale"),
    ]

    operations = [
        migrations.CreateModel(
            name="Alert",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="Título"
                    ),
                ),
                ("message", models.TextField(verbose_name="Mensagem")),
                (
                    "alert_type",
                    models.CharField(
                        choices=[
                            ("success", "Sucesso"),
                            ("error", "Erro"),
                            ("warning", "Aviso"),
                            ("info", "Informação"),
                        ],
                        default="success",
                        max_length=20,
                        verbose_name="Tipo de Alerta",
                    ),
                ),
                (
                    "button_text",
                    models.CharField(
                        blank=True,
                        default="Fechar",
                        max_length=50,
                        verbose_name="Texto do Botão",
                    ),
                ),
                (
                    "show_automatically",
                    models.BooleanField(
                        default=True, verbose_name="Mostrar automaticamente"
                    ),
                ),
            ],
            options={
                "verbose_name": "Alerta",
                "verbose_name_plural": "Alertas",
            },
        ),
        migrations.CreateModel(
            name="FlexibleContentPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "body",
                    wagtail.fields.StreamField(
                        [("alert", 4)],
                        block_lookup={
                            0: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "help_text": "Título do alerta (opcional)",
                                    "required": False,
                                },
                            ),
                            1: (
                                "wagtail.blocks.RichTextBlock",
                                (),
                                {"help_text": "Mensagem do alerta", "required": True},
                            ),
                            2: (
                                "wagtail.blocks.ChoiceBlock",
                                [],
                                {
                                    "choices": [
                                        ("success", "Sucesso"),
                                        ("error", "Erro"),
                                        ("warning", "Aviso"),
                                        ("info", "Informação"),
                                    ],
                                    "help_text": "Tipo do alerta",
                                },
                            ),
                            3: (
                                "wagtail.blocks.CharBlock",
                                (),
                                {
                                    "default": "Fechar",
                                    "help_text": "Texto do botão (deixe em branco para não mostrar botão)",
                                    "required": False,
                                },
                            ),
                            4: (
                                "wagtail.blocks.StructBlock",
                                [
                                    [
                                        ("title", 0),
                                        ("message", 1),
                                        ("alert_type", 2),
                                        ("button_text", 3),
                                    ]
                                ],
                                {},
                            ),
                        },
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("wagtailcore.page",),
        ),
    ]
